.signup-section {
  background-color: transparent;
  text-align: center;
  padding: 0px 20px;
}

.signup-button {
  display: inline-block;
  background-color: #3e014c;
  color: #fff0d6;
  padding: 28px 90px;
  font-size: 70px;
  font-weight: 700;
  text-decoration: none;
  border-radius: 100px;
  font-family: 'Righteous', sans-serif;
  border: 5px solid #a069c1;
  position: relative;
  z-index: 1;
  transition: all 0.3s ease;
  transform: scale(1);
}

.signup-button::after {
  content: "";
  position: absolute;
  top: -8px;
  left: -8px;
  right: -8px;
  bottom: -8px;
  border-radius: 108px;
  border: 3px solid black;
  z-index: -1;
  transition: all 0.3s ease;
}

.signup-button:hover {
  transform: scale(1.06); /* efectul de mărire */
  border-color: #fff0d6;
}

.signup-button:hover::after {
  border-color: #a069c1;
}

@media (max-width: 1024px) {
  .signup-button {
    font-size: 50px;
    padding: 24px 60px;
    border-width: 4px;
  }

  .signup-button::after {
    top: -6px;
    left: -6px;
    right: -6px;
    bottom: -6px;
    border-radius: 100px;
    border-width: 2px;
  }
}

@media (max-width: 768px) {
  .signup-button {
    font-size: 50px;
    padding: 20px 40px;
  }
}

@media (max-width: 550px) {
  .signup-button {
    font-size: 42px;
    padding: 16px 30px;
  }
}

@media (max-width: 400px) {
  .signup-button {
    font-size: 39px;
    padding: 16px 30px;
  }
}